Functions

# dmxvisual.c File Reference

`#include "dmx.h"`
`#include "dmxvisual.h"`
`#include "scrnintstr.h"`

## Functions
Visual * | dmxLookupVisual (ScreenPtr pScreen, VisualPtr pVisual)
Visual * | dmxLookupVisualFromID (ScreenPtr pScreen, VisualID vid)
Colormap | dmxColormapFromDefaultVisual (ScreenPtr pScreen, Visual *visual)

## Detailed Description

This file provides support for visuals.

## Function Documentation

Colormap dmxColormapFromDefaultVisual | ( | ScreenPtr | pScreen,
|  | Visual * | visual |
| ) |  |  |

Return the colormap for the visual.

References _DMXScreenInfo::beDefColormaps, _DMXScreenInfo::beDisplay, _DMXScreenInfo::beNumDefColormaps, _DMXScreenInfo::beVisuals, and dmxScreens.

Referenced by dmxGetDefaultWindowAttributes().

Visual* dmxLookupVisual | ( | ScreenPtr | pScreen,
|  | VisualPtr | pVisual |
| ) |  |  |

Return the visual that matched pVisual.

References _DMXScreenInfo::beDisplay, _DMXScreenInfo::beNumVisuals, _DMXScreenInfo::beVisuals, and dmxScreens.

Referenced by dmxBECreateColormap(), and dmxLookupVisualFromID().

Visual* dmxLookupVisualFromID | ( | ScreenPtr | pScreen,
|  | VisualID | vid |
| ) |  |  |

Return the visual that matched the vid.

References _DMXScreenInfo::beDisplay, dmxLookupVisual(), and dmxScreens.

Referenced by dmxCreateWindow(), and dmxGetDefaultWindowAttributes().